package org.xbib.event.async.yield.boxes;

public class DoubleBox {

    protected double value;

    private boolean isPresent;

    public DoubleBox() {
        this(Double.MIN_VALUE, false);
    }

    public DoubleBox(double value, boolean isPresent) {
        this.value = value;
        this.isPresent = isPresent;
    }

    public DoubleBox(double identity) {
        this.value = identity;
        this.isPresent = true;
    }

    public double getValue() {
        return value;
    }

    public void setValue(double value) {
        this.value = value;
    }

    public boolean isPresent() {
        return isPresent;
    }

    public void turnPresent(double value) {
        this.value = value;
        isPresent = true;
    }
}
