package org.xbib.event.async.yield.primitives.intgr.ops;

import org.xbib.event.async.yield.primitives.intgr.IntAdvancer;
import org.xbib.event.async.yield.primitives.intgr.IntTraverser;
import org.xbib.event.async.yield.primitives.intgr.IntYield;

import java.util.Spliterator;
import java.util.function.IntConsumer;
import java.util.stream.IntStream;

public class FromIntStream implements IntAdvancer, IntTraverser {
    private final Spliterator.OfInt upstream;

    public FromIntStream(IntStream data) {
        this.upstream = data.spliterator();
    }

    @Override
    public void traverse(IntYield yield) {
        IntConsumer cons = yield::ret;
        upstream.forEachRemaining(cons);
    }

    @Override
    public boolean tryAdvance(IntYield yield) {
        IntConsumer cons = yield::ret;
        return upstream.tryAdvance(cons);
    }
}
