package org.xbib.event.log;

import java.time.Instant;

public class WeeklyRotationPolicy extends TimeBasedRotationPolicy {

    public WeeklyRotationPolicy() {
    }

    @Override
    public Instant getTriggerInstant(Clock clock) {
        return clock.sundayMidnight();
    }

    @Override
    public String toString() {
        return "WeeklyRotationPolicy";
    }
}
