package org.xbib.event.wal;

public interface JournalSummary {
    /**
     * @return the Transaction ID of the first transaction written
     */
    long getFirstTransactionId();

    /**
     * @return the Transaction ID of the last transaction written
     */
    long getLastTransactionId();

    /**
     * @return the number of transactions that were written to the journal
     */
    int getTransactionCount();
}
