package org.xbib.event.wal;

public class StandardJournalSummary implements JournalSummary {
    private final long firstTransactionId;
    private final long lastTransactionId;
    private final int transactionCount;

    public StandardJournalSummary(final long firstTransactionId, final long lastTransactionId, final int transactionCount) {
        this.firstTransactionId = firstTransactionId;
        this.lastTransactionId = lastTransactionId;
        this.transactionCount = transactionCount;
    }

    @Override
    public long getFirstTransactionId() {
        return firstTransactionId;
    }

    @Override
    public long getLastTransactionId() {
        return lastTransactionId;
    }

    @Override
    public int getTransactionCount() {
        return transactionCount;
    }

}
