package org.xbib.event.async.impl;

import java.util.concurrent.ExecutorService;

public class WorkerPool {

  private final ExecutorService pool;

  public WorkerPool(ExecutorService pool) {
    this.pool = pool;
  }

  public ExecutorService executor() {
    return pool;
  }

  void close() {
    pool.shutdownNow();
  }
}
