package org.xbib.event.wal;

import java.io.IOException;
import java.util.Collection;
import java.util.Set;

public interface WriteAheadSnapshot<T> {
    SnapshotCapture<T> prepareSnapshot(long maxTransactionId);

    SnapshotCapture<T> prepareSnapshot(long maxTransactionId, Set<String> swapLocations);

    void writeSnapshot(SnapshotCapture<T> snapshot) throws IOException;

    SnapshotRecovery<T> recover() throws IOException;

    void update(Collection<T> records);

    int getRecordCount();
}
