package org.xbib.event.syslog;

import io.netty.channel.ChannelDuplexHandler;
import io.netty.channel.ChannelHandler;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.timeout.IdleState;
import io.netty.handler.timeout.IdleStateEvent;

@ChannelHandler.Sharable
class SyslogIdleStateHandler extends ChannelDuplexHandler {

    public static final SyslogIdleStateHandler INSTANCE = new SyslogIdleStateHandler();

    private SyslogIdleStateHandler() {
    }

    @Override
    public void userEventTriggered(ChannelHandlerContext ctx, Object evt) {
        if (evt instanceof IdleStateEvent e) {
          if (e.state() == IdleState.WRITER_IDLE) {
                ctx.close();
            }
        }
    }
}
